## org.apache.batik.gvt.renderer
Interface ImageRendererFactory

All Superinterfaces:
  RendererFactory

All Known Implementing Classes:
  ConcreteImageRendererFactory

    public interface ImageRendererFactory

extends RendererFactory

Interface for a factory of ImageRenderers

Method Summary
`ImageRenderer` `createDynamicImageRenderer()` Creates a new dynamic renderer.
`ImageRenderer` `createStaticImageRenderer()` Creates a new static renderer.

Methods inherited from interface org.apache.batik.gvt.renderer.RendererFactory
`createRenderer`

Method Detail

### createStaticImageRenderer

    ImageRenderer createStaticImageRenderer()

  Creates a new static renderer.

### createDynamicImageRenderer

    ImageRenderer createDynamicImageRenderer()

  Creates a new dynamic renderer.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.